/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common
 * Development and Distribution License("CDDL") (collectively, the
 * "License"). You may not use this file except in compliance with the
 * License. You can obtain a copy of the License at
 * http://www.netbeans.org/cddl-gplv2.html
 * or sbbuild/licenses/cddl-gpl-2-cp.txt. See the License for the
 * specific language governing permissions and limitations under the
 * License.  When distributing the software, include this License Header
 * Notice in each file and include the License file at
 * sbbuild/licenses/cddl-gpl-2-cp.txt.  Sun designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the GPL Version 2 section of the License file that
 * accompanied this code. If applicable, add the following below the
 * License Header, with the fields enclosed by brackets [] replaced by
 * your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Contributor(s):
 *
 * Portions Copyrighted 2008-2015 George Waldon
 */


package org.starbeans.modules.corelite.actions;

import org.openide.util.HelpCtx;
import org.starbeans.modules.corelite.contextmenus.Context2Action;

/** Context2Actions to mix creation of new files based on templates or other
 *  methods.
 *
 * @author George Waldon
 */
public class NewContextAction extends Context2Action {
    
    public NewContextAction() {
    }

    @Override
    protected boolean isIconDrawn() {
        return true;
    }
    
    @Override
    public HelpCtx getHelpCtx() {
        return null;
    }
}
