/**
 * L2FProd.com Common Components 0.2-dev License.
 *
 * Copyright 2005 L2FProd.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.starbeans.modules.startip.tips;

import org.starbeans.modules.startip.TipModel.Tip;


public class DefaultTip implements Tip {

  private String name;
  private Object tip;

  public DefaultTip() {}

  public DefaultTip(String name, Object tip) {
    this.name = name;
    this.tip = tip;
  }

  @Override
  public Object getTip() {
    return tip;
  }

  public void setTip(Object tip) {
    this.tip = tip;
  }

  @Override
  public String getTipName() {
    return name;
  }

  public void setTipName(String name) {
    this.name = name;
  }

  @Override
  public String toString() {
    return getTipName();
  }

}